<?PHP

/*
 * Copyright (c) 2008 Chris Smith
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

 session_start();

 if (isset($_POST['openid_url']) || isset($_REQUEST['openid_mode'])) {
  require('processor.php');
 } else {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
 <head>
  <title>OpenID consumer demonstration</title>
  <style type="text/css">
   input#openid_url { background: url('openid.gif') no-repeat; padding-left: 20px; }
  </style>
 </head>
 <body>
  <h1>OpenID consumer demonstration</h1>
<?PHP
 if (isset($_SESSION['openid']['error'])) {
  echo '<p>An error occured: ', htmlentities($_SESSION['openid']['error']), '</p>';
  unset($_SESSION['openid']['error']);
 } else if (isset($_SESSION['openid']) && $_SESSION['openid']['validated']) {
  echo '<p>Your OpenID identifier is <em>', htmlentities($_SESSION['openid']['identity']), '</em></p>';
 }
?>
  <form action="demo.php" method="post">
   <input type="text" name="openid_url" id="openid_url">
   <input type="submit" value="Login">
  </form>
 </body>
</html>
<?PHP
 }
?>
